<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: numpy_gray_image Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classnumpy__gray__image-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">numpy_gray_image Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a330c234ed6bc24318c96adab57f5b824"><td class="memItemLeft" align="right" valign="top"><a id="a330c234ed6bc24318c96adab57f5b824"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>numpy_gray_image</b> (boost::python::object &amp;img)</td></tr>
<tr class="separator:a330c234ed6bc24318c96adab57f5b824"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a8890a29849679355616dd55b6d2b378a"><td class="memItemLeft" align="right" valign="top"><a id="a8890a29849679355616dd55b6d2b378a"></a>
unsigned char *&#160;</td><td class="memItemRight" valign="bottom"><b>_data</b></td></tr>
<tr class="separator:a8890a29849679355616dd55b6d2b378a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20190c1cdf3973e9ba30aa8c817d334a"><td class="memItemLeft" align="right" valign="top"><a id="a20190c1cdf3973e9ba30aa8c817d334a"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>_nr</b></td></tr>
<tr class="separator:a20190c1cdf3973e9ba30aa8c817d334a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bcb607189c4af6fa514bb4dc16d6545"><td class="memItemLeft" align="right" valign="top"><a id="a5bcb607189c4af6fa514bb4dc16d6545"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>_nc</b></td></tr>
<tr class="separator:a5bcb607189c4af6fa514bb4dc16d6545"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:af4959bedb3932d488705064abcde334d"><td class="memItemLeft" align="right" valign="top"><a id="af4959bedb3932d488705064abcde334d"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>num_rows</b> (const <a class="el" href="classnumpy__gray__image.html">numpy_gray_image</a> &amp;img)</td></tr>
<tr class="separator:af4959bedb3932d488705064abcde334d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a977f13da78314c085c520a95ee4e1bc0"><td class="memItemLeft" align="right" valign="top"><a id="a977f13da78314c085c520a95ee4e1bc0"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>num_columns</b> (const <a class="el" href="classnumpy__gray__image.html">numpy_gray_image</a> &amp;img)</td></tr>
<tr class="separator:a977f13da78314c085c520a95ee4e1bc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adac4a25ef25f6b588be6f61a206a8c73"><td class="memItemLeft" align="right" valign="top"><a id="adac4a25ef25f6b588be6f61a206a8c73"></a>
void *&#160;</td><td class="memItemRight" valign="bottom"><b>image_data</b> (<a class="el" href="classnumpy__gray__image.html">numpy_gray_image</a> &amp;img)</td></tr>
<tr class="separator:adac4a25ef25f6b588be6f61a206a8c73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9750f6832ec75ddbf8734214dfd9d03"><td class="memItemLeft" align="right" valign="top"><a id="ab9750f6832ec75ddbf8734214dfd9d03"></a>
const void *&#160;</td><td class="memItemRight" valign="bottom"><b>image_data</b> (const <a class="el" href="classnumpy__gray__image.html">numpy_gray_image</a> &amp;img)</td></tr>
<tr class="separator:ab9750f6832ec75ddbf8734214dfd9d03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a99c147d69fe35c408c0c932f360830"><td class="memItemLeft" align="right" valign="top"><a id="a5a99c147d69fe35c408c0c932f360830"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>width_step</b> (const <a class="el" href="classnumpy__gray__image.html">numpy_gray_image</a> &amp;img)</td></tr>
<tr class="separator:a5a99c147d69fe35c408c0c932f360830"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="numpy__image_8h_source.html">numpy_image.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
